Bank Account Data - Enriched Bank Data Overview

Overview

Enriched Bank Data layer is a paid product built on top of the free account information layer. It provides enrichment on transaction level data.

In case of technical or data related questions, please open a support request.

To enable Enriched Bank Data product or in case of application or pricing questions, please contact: bank-account-data-sales@gocardless.com

Integration

Once Enriched Bank Data is enabled when using Enriched Bank Data endpoints, the respective account information layer will be returned together with the Enriched Bank Data layer. There is no need to separately use accounts endpoints in case Enriched Bank Data endpoints are used.

In case Quickstart Guide is used for integration, one need only to switch accounts to Enriched Bank Data (/premium) endpoints in Step 6: Access accounts, balances, and transactions as provided below.

Below is an example if Enriched Bank Data product is enabled.

curl -X GET "https://bankaccountdata.gocardless.com/api/v2/accounts/premium/065da497-e6af-4950-88ed-2edbc0577d20/transactions/" -H "accept: application/json" -H "Authorization: Bearer ACCESS_TOKEN"

Response:

{ "transactions": { "booked": [ { // Original output from bank starts "transactionId": "2020111101899195-1", "transactionAmount": { "currency": "EUR", "amount": "2500.00" }, "bankTransactionCode": "TRNSF", "bookingDate": "2022-09-01", "valueDate": "2022-09-01", "remittanceInformationUnstructured": "GoCardless. Slry for August", // Original output from bank ends // Output from Enriched Bank Data product starts "enrichment": { "displayName": "GoCardless", "branchDisplayName": "", "location": { "address": "Sutton Yard, Goswell Rd", "city": "London", "postalCode": "EC1V 7EN", "country": "UK", "lat": 51.91419, "lon": 0.99671, }, "urls":{ "website": "https://gocardless.com/" "favicon": "https://gocardless.com/favi" "logo": "https://gocardless.com/logo" }, "transactionType" = "Transfer", "purposeCategory" = [ "Income", "Salary" ], "purposeCategoryId": "046a4092-7222-4da8-b588-790571878c34" } // Output from Enriched Bank Data product ends } ] } }

Key Descriptions

KEYTYPEDESCRIPTION
displayNameStringDisplay (clean) name of the counterparty
branchDisplayNameStringDisplay (clean) name of the counterparties' branch (if applicable)
locationDictFollowing structured items from address:address: street address and home/flat numbercityregionpostalCodecountry: two letter lat: latitude coordinateslon: longitude coordinates
urlsDictURLs of:website faviconlogo
transactionTypeStringTransaction type. Available types:PAYMENTTRANSFERREFUNDATMFEES/CHARGESTAXESINTERESTEXCHANGESALARYOTHER
purposeCategoryListFull path purpose categories where the name of the assigned category is the last item on the list
purposeCategoryIdStringUnique ID for purpose category (corresponds to last item on the list of purposeCategory output)

Business and purpose category lists are available upon request. Please contact bank-account-data-sales@gocardless.com

Need help?